Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class LifecycleManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CoreLifecycleManager, LifecycleManagerImpl

    public interface class LifecycleManager

extends java.rmi.Remote

Interface for performing operations on RETENTION_POLICY, LIFECYCLE_POLICY, and their related Item types.

Method Summary
`Item` | `createLifecyclePolicy(NamedValue[] def, AttributeRequest[] attrs)` Creates a new LIFECYCLE_POLICY Item.
`void` | `deleteLifecyclePolicy(long id, NamedValue[] options)` Deletes a LIFECYCLE_POLICY Item.
`Item[]` | `findLifecyclePolicies(NamedValue[] options, AttributeRequest[] attrs)` Returns an array of LIFECYCLE_POLICY Items that match the specified search options.
`Item` | `findLifecyclePolicyByName(java.lang.String name, AttributeRequest[] attrs)` Returns the LIFECYCLE_POLICY Item with the specified name, or null if no matching LIFECYCLE_POLICY Item exists.
`java.lang.String[]` | `listLifecycleActionSpecifications()` Returns the list of registered lifecycle action specifications.
`java.lang.String[]` | `listLifecycleDateRuleSpecifications()` Returns the list of registered Lifecycle date rule specifications.
`Item` | `updateLifecyclePolicy(long id, NamedValue[] def, AttributeRequest[] attrs)` Updates an existing LIFECYCLE_POLICY Item.
`Item` | `updateLifecyclePolicyEntry(long id, NamedValue[] def, AttributeRequest[] attrs)` Updates an existing LIFECYCLE_POLICY_ENTRY item.

Method Detail

### findLifecyclePolicies

    Item[] findLifecyclePolicies(NamedValue[] options,
                                 AttributeRequest[] attrs)
                                 throws FdkException

  Description copied from interface: `LifecycleManager`
  Returns an array of LIFECYCLE_POLICY Items that match the specified search options. If no options are specified, returns all LIFECYCLE_POLICY Items.

  Currently, no options are supported; this method always returns an array of all existing LIFECYCLE_POLICY Items.

  Parameters:
    `options` - search and filter options (currently, no options are supported)
    `attrs` - attributes to retrieve for each LIFECYCLE_POLICY Item
  Returns:
    an array of the matching LIFECYCLE_POLICY Items
  Throws:
    `FdkException` - if the operation fails

### findLifecyclePolicyByName

    Item findLifecyclePolicyByName(java.lang.String name,
                                   AttributeRequest[] attrs)
                                   throws FdkException

  Description copied from interface: `LifecycleManager`
  Returns the LIFECYCLE_POLICY Item with the specified name, or null if no matching LIFECYCLE_POLICY Item exists.

  LIFECYCLE_POLICY Items have unique NAME attribute; there is at most one LIFECYCLE_POLICY Item with any given name.

  Parameters:
    `name` - the name of the LIFECYCLE_POLICY Item to retrieve
    `attrs` - attributes to retrieve for the LIFECYCLE_POLICY Item
  Returns:
    the matching LIFECYCLE_POLICY Item
  Throws:
    `FdkException` - if the operation fails

### createLifecyclePolicy

    Item createLifecyclePolicy(NamedValue[] def,
                               AttributeRequest[] attrs)
                               throws FdkException

  Description copied from interface: `LifecycleManager`
  Creates a new LIFECYCLE_POLICY Item.

  Parameters:
    `def` - the list of names and corresponding values of the attributes for the LIFECYCLE_POLICY Item being created; supported attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.IS_LOCK_IMPLIED, Boolean}
    - {Attributes.LIFECYCLE_DATE_RULE, String}
    - {Attributes.LIFECYCLE_POLICY_ENTRIES, NamedValueSet[]}
      each element contains a NamedValue[] as follows:
      - {Attributes.NAME, String}
      - {Attributes.DESCRIPTION, String}
      - {Attributes.LIFECYCLE_ENABLED, Boolean}
      - {Attributes.LIFECYCLE_FROZEN, Boolean}
      - {Attributes.LIFECYCLE_ACTION, String}
      - {Attributes.LIFECYCLE_TIME_PERIOD, String}
      - {Attributes.LIFECYCLE_EXECUTION_PERIOD, String}
      - {Attributes.LIFECYCLE_BASE_TIME, String}
      - {Attributes.LIFECYCLE_ACTION_SEQUENCE, Integer}
    `attrs` - attributes to retrieve for the created LIFECYCLE_POLICY Item
  Returns:
    the new LIFECYCLE_POLICY Item
  Throws:
    `FdkException` - if the operation fails

### updateLifecyclePolicy

    Item updateLifecyclePolicy(long id,
                               NamedValue[] def,
                               AttributeRequest[] attrs)
                               throws FdkException

  Description copied from interface: `LifecycleManager`
  Updates an existing LIFECYCLE_POLICY Item.

  Parameters:
    `id` - the ID of the LIFECYCLE_POLICY Item to update
    `def` - the list of names and corresponding values of the attributes to update; supported attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.ACTIVE, Boolean}
    - {Attributes.IS_LOCK_IMPLIED, Boolean}
    - {Attributes.LIFECYCLE_DATE_RULE, String}
    - {Attributes.LIFECYCLE_POLICY_ENTRIES, NamedValueSet[]}
      each element contains a NamedValue[] as follows:
      - {Attributes.NAME, String}
      - {Attributes.DESCRIPTION, String}
      - {Attributes.LIFECYCLE_ENABLED, Boolean}
      - {Attributes.LIFECYCLE_FROZEN, Boolean}
      - {Attributes.LIFECYCLE_ACTION, String}
      - {Attributes.LIFECYCLE_TIME_PERIOD, String}
      - {Attributes.LIFECYCLE_EXECUTION_PERIOD, String}
      - {Attributes.LIFECYCLE_BASE_TIME, String}
      - {Attributes.LIFECYCLE_ACTION_SEQUENCE, Integer}
    - {Options.DELETE_ALL_LIFECYCLE_POLICY_ENTRIES, Boolean}
    `attrs` - attributes to retrieve for the updated LIFECYCLE_POLICY Item
  Returns:
    the updated LIFECYCLE_POLICY Item
  Throws:
    `FdkException` - if the operation fails

### updateLifecyclePolicyEntry

    Item updateLifecyclePolicyEntry(long id,
                                    NamedValue[] def,
                                    AttributeRequest[] attrs)
                                    throws FdkException

  Description copied from interface: `LifecycleManager`
  Updates an existing LIFECYCLE_POLICY_ENTRY item.

  Parameters:
    `id` - The ID of the LIFECYCLE_POLICY_ENTRY item to update.
    `def` - The list of names and corresponding values of the attributes to update. Supported attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.LIFECYCLE_ENABLED, Boolean}
    - {Attributes.LIFECYCLE_FROZEN, Boolean}
    - {Attributes.LIFECYCLE_ACTION, String}
    - {Attributes.LIFECYCLE_TIME_PERIOD, String}
    - {Attributes.LIFECYCLE_EXECUTION_PERIOD, String}
    - {Attributes.LIFECYCLE_BASE_TIME, String}
    - {Attributes.LIFECYCLE_ACTION_SEQUENCE, Integer}
    `attrs` - Attributes to return for the updated LIFECYCLE_POLICY_ENTRY item.
  Returns:
    The updated LIFECYCLE_POLICY_ENTRY item.
  Throws:
    `FdkException` - if the operation fails.

### deleteLifecyclePolicy

    void deleteLifecyclePolicy(long id,
                               NamedValue[] options)
                               throws FdkException

  Description copied from interface: `LifecycleManager`
  Deletes a LIFECYCLE_POLICY Item.

  Parameters:
    `id` - the ID of the LIFECYCLE_POLICY Item to delete
    `options` - delete options (none currently supported)
  Throws:
    `FdkException` - if the operation fails

### listLifecycleActionSpecifications

    java.lang.String[] listLifecycleActionSpecifications()
                                                         throws FdkException

  Description copied from interface: `LifecycleManager`
  Returns the list of registered lifecycle action specifications. A lifecycle action specification is set for a LIFECYCLE_POLICY_ENTRY Item.

  Any element of the return value may be used as the value for the LIFECYCLE_ACTION attribute of a LIFECYCLE_POLICY_ENTRY Item.

  Throws:
    `FdkException` - if the operation fails

### listLifecycleDateRuleSpecifications

    java.lang.String[] listLifecycleDateRuleSpecifications()
                                                           throws FdkException

  Description copied from interface: `LifecycleManager`
  Returns the list of registered Lifecycle date rule specifications. A lifecycle date rule specification is set for a LIFECYCLE_POLICY Item.

  Any element of the return value may be used as the value for the LIFECYCLE_DATE_RULE attribute of a LIFECYCLE_POLICY Item.

  Throws:
    `FdkException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD